crossplatform.ru

Здравствуйте, гость ( Вход | Регистрация )

 
Ответить в данную темуНачать новую тему
> .h-файла для GTK+-3.0
ido
  опции профиля:
сообщение 7.4.2011, 12:58
Сообщение #1


Студент
*

Группа: Участник
Сообщений: 26
Регистрация: 7.4.2010
Пользователь №: 1602

Спасибо сказали: 0 раз(а)




Репутация:   0  


При сборке GTK+-3.0 некоторые файлы подключают gio.h и cairo-gobject.h. Таких файлов в системе нет. Установлены

glib2-2.12
glib2-devel-2.12
cairo-1.2
cairo-devel-1.2

После долгих поисков в сети нашел отдельный архив исходников gio-standalone-1.0, но в нем gio.h тоже не оказалось. Если у кого-нибудь они установлены, то из каких пакетов?
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Iron Bug
  опции профиля:
сообщение 7.4.2011, 18:42
Сообщение #2


Профессионал
*****

Группа: Модератор
Сообщений: 1587
Регистрация: 6.2.2009
Из: Yekaterinburg
Пользователь №: 533

Спасибо сказали: 218 раз(а)




Репутация:   12  


я так понимаю, что cairo-gobject-devel нужен.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
ido
  опции профиля:
сообщение 8.4.2011, 8:30
Сообщение #3


Студент
*

Группа: Участник
Сообщений: 26
Регистрация: 7.4.2010
Пользователь №: 1602

Спасибо сказали: 0 раз(а)




Репутация:   0  


Единственно, где обнаружил cairo-gobject.h, это в openSUSE. Пакет cairo-devel-1.10.2-6.9.1.i586.rpm
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
ido
  опции профиля:
сообщение 9.4.2011, 7:27
Сообщение #4


Студент
*

Группа: Участник
Сообщений: 26
Регистрация: 7.4.2010
Пользователь №: 1602

Спасибо сказали: 0 раз(а)




Репутация:   0  


Цитата(Iron Bug @ 7.4.2011, 18:42) *
я так понимаю, что cairo-gobject-devel нужен.

Искал его в последних версиях дистрибутивов, а он оказался в Fedora 1.

С gio.h полный облом:) Поиск осложняется тем, что под таким названием есть файлы в пакетах, никакого отношения к glib2 не имеющих, вроде.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Iron Bug
  опции профиля:
сообщение 9.4.2011, 12:12
Сообщение #5


Профессионал
*****

Группа: Модератор
Сообщений: 1587
Регистрация: 6.2.2009
Из: Yekaterinburg
Пользователь №: 533

Спасибо сказали: 218 раз(а)




Репутация:   12  


тогда читай инфу на сайте или доки в самом пакете. обычно там пишут, что конкретно нужно для сборки.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
ido
  опции профиля:
сообщение 10.4.2011, 7:38
Сообщение #6


Студент
*

Группа: Участник
Сообщений: 26
Регистрация: 7.4.2010
Пользователь №: 1602

Спасибо сказали: 0 раз(а)




Репутация:   0  


Папка с gio в пакете появилась примерно с glib2-devel-2.16.3-20.2. А у меня установлен glib2-devel-2.12.3-2.
Еще проблемка в том, что на всех попавшихся фтп-шниках лежат полные архивы. Сейчас нужен новый glib2 (~5MВ), потом выйдет новый релиз gtk+ с небольшими дополнениями, а это еще много МВ и т.д. Где качают по частям?
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Iron Bug
  опции профиля:
сообщение 10.4.2011, 11:20
Сообщение #7


Профессионал
*****

Группа: Модератор
Сообщений: 1587
Регистрация: 6.2.2009
Из: Yekaterinburg
Пользователь №: 533

Спасибо сказали: 218 раз(а)




Репутация:   12  


я подозреваю, что пакеты лежат целиком везде, кроме транков. всё, что не в разработке - лежит пакетами.

собственно, я даже не думала, что где-то безлимит - это проблема.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение

Быстрый ответОтветить в данную темуНачать новую тему
Теги
Нет тегов для показа


1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0




RSS Текстовая версия Сейчас: 20.8.2019, 16:39